Purpose

Retrieves a list of the On-Premises Connectors registered with the Hybrid Data Pipeline server.

URL

https://<myserver>:<port>/api/admin/connectors

Filter by a query parameter

The request may be appended with query parameters to retrieve full details on the connectors. The request may also be appended to filter the connector based on a property of the connector. If you want to append the request with multiple queries, use a semicolon to separate query parameters.

  • URL to retrieve full details

    https://<myserver>:<port>/api/admin/connectors?details=true

  • URL to filter on a connector property

    https://<myserver>:<port>/api/admin/connectors?<connector_property>=<connector_property_value>

    For example, the following request will return a list of connectors with version 4.6.1.758.

    GET https://www.example.com:8443/api/admin/connectors?version=4.6.1.758

Method

GET

URL Parameters

<myserver> is the hostname or IP address of the machine hosting the Hybrid Data Pipeline server for a non-load balancer deployment, or the machine hosting the load balancer for a load balancer deployment. For a non-load balancer deployment, <port> is the port number specified as the Server Access Port during deployment. For a load balancer deployment, <port> must be either 80 for http or 443 for https. Whenever port 80 or 443 are used, it is not necessary to include the port number in the URL.

Standard Response Definition

The following response definition is for a standard request such as:

GET https://MyServer:8443/api/admin/connectors
{
  "connectors": [
    {
      "connectorID": "connector_id",
      "label": "label_name",
      "version": "version",
      "owner": "associated_ HDPUser",
      "tenantName": "tenant_name"
    },
    ...
  ]
}
Property Description Valid Values
"connectorID" The ID of the On-Premises Connector. The ID for the Connector. A unique ID is assigned to the Connector at the time of installation.
"label" A descriptive name for the On-Premises Connector. A string with a maximum length of 255 characters.
"version" The version of the installed On-Premises Connector. The version number of the connector.
"owner" The Hybrid Data Pipeline user who installed the On-Premises Connector. A Progress ID. If owner is specified, its value must match the current owner of the Connector or Connector Group.
"tenantName" The name of the tenant. A string that specifies the name of the tenant.

Response Definition with Full Details

The following response definition is for a request with full details such as:

GET https://MyServer:8443/api/admin/connectors?details=true

Sample Server Success Response


      Status code: 200
      Successful response
            
{
  "connectors": [
    {
      "connectorID": "connector_id",
      "label": "label_name",
      "version": "version",
      "owner": "associated_ HDPUser",
      "tenantName": "tenant_name",
      "isGroup": "boolean_value",
      "createdTime": "datetimestamp",
      "lastModified": "datetimestamp",
      "lastAccessed": "datetimestamp",
      "ipAddress": "ip_address",
      "javaVersion": "java_version",
      "javaVendor": "java_version",
      "osName": "os_name",
      "osVersion": "os_version"
    },    
    ...
  ]
}
Property Description Valid Values
"connectorID" The ID of the On-Premises Connector. The ID for the Connector. A unique ID is assigned to the connector when installed.
"label" A descriptive name for the On-Premises Connector. A string with a maximum length of 255 characters.
"version" The version of the installed On-Premises Connector. The version number of the connector.
"owner" The Hybrid Data Pipeline user who installed the On-Premises Connector. A Progress ID. If owner is specified, its value must match the current owner of the connector or connector group.
"tenantName" The name of the tenant. A string that specifies the name of the tenant.
"isGroup" Indicates if the connector ID is a member of a connector group. A Boolean value that specifies whether the connector ID is member of a group.
"createdTime" The time at which the On-Premises Connector ID was created. A time stamp that indicates when the connector was created.
"lastModified" The time at which the On-Premises Connector ID was last modified. A time stamp that indicates when the connector was last modified.
"lastAccessed" The time of the last connection established between the On-Premises Connector and the Hybrid Data Pipeline Server. A time stamp that indicates the time of the last connection established between the On-Premises Connector and the Hybrid Data Pipeline Server
"ipAddress" The IP address of the client machine on which the On-Premises Connector ID is installed. A string that specifies the IP address of the connector.
"javaVersion" The version of Java used with the connector. A string that specifies the version of Java used with the connector.
"javaVendor" The name of the Java vendor. A string that specifies the name of the vendor.
"osName" The name of the operating system name on host machine. A string that specifies the name of the operating system.
"osVersion" The version of the operating system name on host machine. A string that specifies the version of the operating system.

Sample Server Success Response

Success response


      Status code: 200
      Successful response
            
{
  "connectors": [
    {
      "connectorID": "55b55556-22d1-4f6a-888f-444a2df565e0",
      "label": "MyConnector",
      "version": "4.6.1.758",
      "owner": "admin123",
      "tenantName": "OrgB",
    },
    {
      "connectorID": "66b77776-33d1-5f9a-444f-222a3df898f0",
      "label": "MySampleConnector",
      "version": "4.6.1.815",
      "owner": "admin456",
      "tenantName": "OrgC",
    },
    {
      "connectorID": "21b1d1a6-89a8-45b9-b276-e14d1cbdef49",
      "label": "hdp_connector",
      "version": "4.6.1.758",
      "owner": "xyzadmin",
      "tenantName": "OrgD"
    },
    ...
  ]
}

Sample Server Failure Response

{
  "error": {
    "code": 222208103,
    "message": {
      "lang": "en-US",
      "value": "You lack the permissions to access this url."
    }
  }
}

Authentication

Basic Authentication using Login ID and Password

Authorization

The user must have the Administrator (12) permission.